export declare const preciseApertureMap: Record<string, number>;
/**
 * Takes a numeric value and returns a human-friendly string that is equivalent
 * @example 5.039684 => 'f/5'
 */
export declare function getApertureName(value: number): keyof typeof preciseApertureMap | undefined;
export declare function isApertureString(value?: string): value is ApertureString;
/**
 * Turns user input into a workable aperture value that can be used for calculations
 */
export declare function toActualAperture({ input, defaultOptionsAperture, customSettingsAperture, }: {
    input?: string | number;
    customSettingsAperture?: string | number;
    defaultOptionsAperture: ApertureString;
}): number;
//# sourceMappingURL=aperture.d.ts.map